## ros-foxy-osrf-pycommon 0.1.11

=== debian/changelog ===
ros-foxy-osrf-pycommon (0.1.11-1focal) focal; urgency=high

  * Fix osrf.py_common.process_utils.get_loop() implementation (#70 <https://github.com/osrf/osrf_pycommon/issues/70>) (#75 <https://github.com/osrf/osrf_pycommon/issues/75>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-osrf-pycommon (0.1.10-1focal) focal; urgency=high

  * fixed simple deprecation warnings (issue #61 <https://github.com/osrf/osrf_pycommon/issues/61>) (#63 <https://github.com/osrf/osrf_pycommon/issues/63>)
  * Also run tests with Python 3.7 and 3.8 (#60 <https://github.com/osrf/osrf_pycommon/issues/60>)
  * Remove old py2 platforms, add Suite3 option with Ubuntu Focal (#58 <https://github.com/osrf/osrf_pycommon/issues/58>)
  * Contributors: Shane Loretz, Zahi Kakish

 -- William Woodall <william@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-osrf-pycommon (0.1.9-1focal) focal; urgency=high

  * install resource marker file for package (#56 <https://github.com/osrf/osrf_pycommon/pull/56>)

 -- William Woodall <william@osrfoundation.org>  Thu, 10 Oct 2019 13:55:00 -0700

ros-foxy-osrf-pycommon (0.1.8-1focal) focal; urgency=high

  * Install package manifest. (#55 <https://github.com/osrf/osrf_pycommon/issues/55>)
    Signed-off-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Rename ansi_escape_senquences to ansi_escape_sequences keeping backwards compatibility. (#53 <https://github.com/osrf/osrf_pycommon/issues/53>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Tue, 17 Sep 2019 12:30:00 -0700

ros-foxy-osrf-pycommon (0.1.7-1focal) focal; urgency=high

  * Use keyword arguments only for protocol_class invocations (#52 <https://github.com/osrf/osrf_pycommon/issues/52>)
  * Contributors: Daniel Stonier

 -- William Woodall <william@osrfoundation.org>  Thu, 11 Apr 2019 13:45:00 -0700

ros-foxy-osrf-pycommon (0.1.6-1focal) focal; urgency=high

  * Changed package.xml to use python2 or python3 dependencies as appropriate. #50 <https://github.com/osrf/osrf_pycommon/pull/50>

 -- William Woodall <william@osrfoundation.org>  Thu, 15 Nov 2018 12:45:00 -0800

ros-foxy-osrf-pycommon (0.1.5-1focal) focal; urgency=high

  * Fixed a try-catch statement to adapt to changes in asyncio's raise behavior in asyncio.get_event_loop().
  * Small changes, mostly related to distribution.

 -- William Woodall <william@osrfoundation.org>  Tue, 19 Jun 2018 22:00:00 -0700

ros-foxy-osrf-pycommon (0.1.4-1focal) focal; urgency=high

  * Only small test/linter fixes and documentation typos removed.

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 16:00:00 -0800

ros-foxy-osrf-pycommon (0.1.3-1focal) focal; urgency=high

  * Fix to support optional arguments in verb pattern #24 <https://github.com/osrf/osrf_pycommon/pull/24>

 -- William Woodall <william@osrfoundation.org>  Tue, 28 Mar 2017 20:30:00 -0700

ros-foxy-osrf-pycommon (0.1.2-1focal) focal; urgency=high

  * Started keeping a changelog.
  * Changed ``process_utils`` module so that it will use Trollius even on Python >= 3.4 if ``trollius`` has previously been imported.

 -- William Woodall <william@osrfoundation.org>  Mon, 28 Mar 2016 20:30:00 -0700
